.formHeader {
    text-align: center;
    width: 100%;
    color: black;
}

.formHeaderContainer {
    display: flex;
    justify-content: center;
}


.formHeader2 {
    width: 100%;
    color: black;
}

.formHeader2Container {}

.form1 {
    height: auto;
    width: 100% auto;
    border-radius: 1em 1em;
}

.form2 {
    display: flex;
    justify-content: center;
    max-height: 80vh;
    height: 1200px;
    width: 60vh;
    border-radius: 1em 1em;
    background-color: rgb(255, 255, 255);
}


.inputs {
    max-width: 400px;
    min-width: 440px;
}

.inputField1 {
    padding-right: .4em;
}

.inputField2 {
    padding-left: .4em;
}

.mainDiv1 {

    display: flex;
    justify-content: center;
}

.formDiv {
    height: 600px;
}

.mainDivSignIn {
    display: flex;
    justify-content: center;
    padding-top: 0;
    height: 600px;
}

.mainDivSignIn1 {
    padding-top: 0;
}


.inputFields {
    width: 100%;
    display: grid;
    justify-content: center;
}

.formInput:hover {
    background-color: rgba(241, 241, 241, 0.528);
}


.createButton {
    background-color: rgb(255, 255, 255);
    color: white;
    border: 1px solid black;
    padding: 5px 16px;
    margin-bottom: 0;
    font-size: 1em;
    overflow: hidden;
    white-space: nowrap;
}

.createButton:hover {
    background-color: rgb(129, 129, 129);
    color: black;
}

.filled {
    background-color: green;
}

.createButtonDiv {
    display: flex;
    justify-content: center;
}


.createButtonDiv2 {
    display: flex;
    justify-content: center;
}


.baseButton {
    height: 35px;
    padding: 5px 16px;
    margin: 5px;
    border: 1px solid black;
    color: #000000;
    font-size: 1em;
    overflow: hidden;
    white-space: nowrap;
    background-color: rgb(234, 234, 234);
}

.baseButton:focus {
    outline: none;
    box-shadow: none;
}



.createButton1 {
    width: auto;
}

.signUpButton {
    width: auto;
    margin-bottom: 0;
}

.signUpLink {
    text-decoration: none;
    color: black;
    display: inline-block;
    width: 100%;
    height: 100%;
}

.signUpLink:focus {
    outline: none;
    box-shadow: none;
}



.buttonDiv8 {
    display: flex;
    justify-content: center;
}

.centeredContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    margin-bottom: 1em;
}

.centeredContainer .row {
    width: 100%;
    max-width: 400px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.signUpButtonDiv {
    display: flex;
    justify-content: center;
}

.signUpLink {
    text-decoration: none;
    color: black;
}


.exitButton1 {
    display: flex;
    padding: 0;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    width: 29px;
    height: 30px;
    color: rgb(44, 44, 44);
    border: none;
}

.exitButton1:hover {
    border: 1px solid black;
    border-radius: 20%;
}

.exitButtonDiv1 {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-80%);
    margin-right: 1em;
}

.signInXDiv {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    position: relative;
}

.signInModel {
    position: fixed;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.1);
    background-color: rgb(32, 32, 32);
    border: 1px solid rgba(0, 0, 0, 0.318);
    z-index: 100;
    min-width: 325px;
    max-width: 500px;
    transition: transform .4s, opacity 0.3s;
    opacity: 0;
    pointer-events: none;
    overflow: hidden;
    border-radius: 10px;
}


.signInModel.show {
    transform: translate(-50%, -50%) scale(1);
    opacity: 1;
    max-width: 25vw;
    pointer-events: auto;
    padding: 0;
    box-shadow: 0 0 5px rgb(189, 189, 189);
}




.closeButtonDiv {
    display: flex;
    justify-content: right;
}


.createAccountAndCloseDiv{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.createAccountHeader {
    margin: 0;
    padding: 0;
}
.closeButton {
    color: rgb(255, 255, 255);
    background-color: transparent;
    outline: none;
    border: none;
    cursor: pointer;
    font-size: 25px;
    margin: 0 0 5px 0;
}


.signupAndLoginDiv {
    display: flex;
    justify-content: space-between;
    padding: 0;
    margin: 0;
    position: relative;
    top: 10px;
}

.haveAnAccountHeader {
    font-size: 15px;
    padding: 0;
    margin: 0;
    position: relative;
    right: 26px;
    margin-bottom: 3px;
}

.loginDiv {
    position: relative;
    top: -20px;
    right: -25px;
}

.btn {
    width: 80px;
}
